extensions / Commerce extension
POST
/__runtime/cart/clearClear Cart
Removes all items from the storefront cart and returns the empty cart.
POST
Authentication
- Requirement
- Required
- Credential type
- API key
- Scopes
- Not specified
Permissions
- Requires an API key with an active connection to the target project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
Query Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | No | integer | Description: Target project identifier. |
Request Body
Response Body
Example 200 response
json
{
"cart_id": 1,
"currency": "USD",
"currency_symbol": "string",
"subtotal": "string",
"tax": "string",
"total": 1,
"count": 1,
"items": [],
"coupon_discount_total": "string",
"coupons": []
}Errors
500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

